package com.ruoyi.tuya.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;

import java.util.ArrayList;
import java.util.List;

/**
 * 平台信息对象 tuya_sites_info
 *
 * @author ruoyi
 * @date 2022-07-01
 */
public class TuyaSitesInfo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long siteId;

    /** 平台名称（中） */
    @Excel(name = "平台名称", readConverterExp = "中=")
    private String siteNameCn;

    /** 平台名称（英） */
    @Excel(name = "平台名称", readConverterExp = "英=")
    private String siteNameEn;

    /** 绑定域名 */
    @Excel(name = "绑定域名")
    private String domainName;

    /** LOGO1 */
    @Excel(name = "LOGO1")
    private String siteLogo1;

    /** LOGO2 */
    @Excel(name = "LOGO2")
    private String siteLogo2;

    /** LOGO3 */
    @Excel(name = "LOGO3")
    private String siteLogo3;

    /** 首页标题 */
    @Excel(name = "首页标题")
    private String homeTitle;

    /** 网站备案号 */
    @Excel(name = "网站备案号")
    private String siteProvider;

    /** 底部版权 */
    @Excel(name = "底部版权")
    private String siteCopyright;

    /** 公司名称 */
    @Excel(name = "公司名称")
    private String siteCompany;

    /** 通讯地址 */
    @Excel(name = "通讯地址")
    private String postalAddress;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String siteTel;

    /** 传值号码 */
    @Excel(name = "传值号码")
    private String siteFax;

    /** 电子邮箱 */
    @Excel(name = "电子邮箱")
    private String siteEmail;

    /** SEO标题 */
    @Excel(name = "SEO标题")
    private String seoTitle;

    /** SEO关键字 */
    @Excel(name = "SEO关键字")
    private String seoKeyword;

    /** SEO描述 */
    @Excel(name = "SEO描述")
    private String seoDescription;

    /** 排序数字 */
    @Excel(name = "排序数字")
    private Long sortId;

    /** 是否启用 */
    @Excel(name = "是否启用")
    private String isLock;

    /** 标识 */
    @Excel(name = "标识")
    private Double flag;

    /** 平台权限单价 */
    @Excel(name = "平台权限单价")
    private Double powerUnit;

    /** 平台手续费比例 */
    @Excel(name = "平台手续费比例")
    private Double percentageFee;

    /** 游记发布佣金比例 */
    @Excel(name = "游记发布佣金比例")
    private Double percentageBrokerage;

    /** 子部门 */
    private List<TuyaSitesInfo> children = new ArrayList<TuyaSitesInfo>();

    public void setSiteId(Long siteId)
    {
        this.siteId = siteId;
    }

    public Long getSiteId()
    {
        return siteId;
    }
    public void setSiteNameCn(String siteNameCn)
    {
        this.siteNameCn = siteNameCn;
    }

    public String getSiteNameCn()
    {
        return siteNameCn;
    }
    public void setSiteNameEn(String siteNameEn)
    {
        this.siteNameEn = siteNameEn;
    }

    public String getSiteNameEn()
    {
        return siteNameEn;
    }
    public void setDomainName(String domainName)
    {
        this.domainName = domainName;
    }

    public String getDomainName()
    {
        return domainName;
    }
    public void setSiteLogo1(String siteLogo1)
    {
        this.siteLogo1 = siteLogo1;
    }

    public String getSiteLogo1()
    {
        return siteLogo1;
    }
    public void setSiteLogo2(String siteLogo2)
    {
        this.siteLogo2 = siteLogo2;
    }

    public String getSiteLogo2()
    {
        return siteLogo2;
    }
    public void setSiteLogo3(String siteLogo3)
    {
        this.siteLogo3 = siteLogo3;
    }

    public String getSiteLogo3()
    {
        return siteLogo3;
    }
    public void setHomeTitle(String homeTitle)
    {
        this.homeTitle = homeTitle;
    }

    public String getHomeTitle()
    {
        return homeTitle;
    }
    public void setSiteProvider(String siteProvider)
    {
        this.siteProvider = siteProvider;
    }

    public String getSiteProvider()
    {
        return siteProvider;
    }
    public void setSiteCopyright(String siteCopyright)
    {
        this.siteCopyright = siteCopyright;
    }

    public String getSiteCopyright()
    {
        return siteCopyright;
    }
    public void setSiteCompany(String siteCompany)
    {
        this.siteCompany = siteCompany;
    }

    public String getSiteCompany()
    {
        return siteCompany;
    }
    public void setPostalAddress(String postalAddress)
    {
        this.postalAddress = postalAddress;
    }

    public String getPostalAddress()
    {
        return postalAddress;
    }
    public void setSiteTel(String siteTel)
    {
        this.siteTel = siteTel;
    }

    public String getSiteTel()
    {
        return siteTel;
    }
    public void setSiteFax(String siteFax)
    {
        this.siteFax = siteFax;
    }

    public String getSiteFax()
    {
        return siteFax;
    }
    public void setSiteEmail(String siteEmail)
    {
        this.siteEmail = siteEmail;
    }

    public String getSiteEmail()
    {
        return siteEmail;
    }
    public void setSeoTitle(String seoTitle)
    {
        this.seoTitle = seoTitle;
    }

    public String getSeoTitle()
    {
        return seoTitle;
    }
    public void setSeoKeyword(String seoKeyword)
    {
        this.seoKeyword = seoKeyword;
    }

    public String getSeoKeyword()
    {
        return seoKeyword;
    }
    public void setSeoDescription(String seoDescription)
    {
        this.seoDescription = seoDescription;
    }

    public String getSeoDescription()
    {
        return seoDescription;
    }
    public void setSortId(Long sortId)
    {
        this.sortId = sortId;
    }

    public Long getSortId()
    {
        return sortId;
    }
    public void setIsLock(String isLock)
    {
        this.isLock = isLock;
    }

    public String getIsLock()
    {
        return isLock;
    }
    public void setFlag(Double flag)
    {
        this.flag = flag;
    }

    public Double getFlag()
    {
        return flag;
    }

    public void setPowerUnit(Double powerUnit) { this.powerUnit = powerUnit; }

    public Double getPowerUnit() { return powerUnit; }
    public void setPercentageFee(Double percentageFee) { this.percentageFee = percentageFee; }

    public Double getPercentageFee() { return percentageFee; }
    public void setPercentageBrokerage(Double percentageBrokerage) { this.percentageBrokerage = percentageBrokerage; }

    public Double getPercentageBrokerage() { return percentageBrokerage; }

    public List<TuyaSitesInfo> getChildren()
    {
        return children;
    }

    public void setChildren(List<TuyaSitesInfo> children)
    {
        this.children = children;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("siteId", getSiteId())
                .append("siteNameCn", getSiteNameCn())
                .append("siteNameEn", getSiteNameEn())
                .append("domainName", getDomainName())
                .append("siteLogo1", getSiteLogo1())
                .append("siteLogo2", getSiteLogo2())
                .append("siteLogo3", getSiteLogo3())
                .append("homeTitle", getHomeTitle())
                .append("siteProvider", getSiteProvider())
                .append("siteCopyright", getSiteCopyright())
                .append("siteCompany", getSiteCompany())
                .append("postalAddress", getPostalAddress())
                .append("siteTel", getSiteTel())
                .append("siteFax", getSiteFax())
                .append("siteEmail", getSiteEmail())
                .append("seoTitle", getSeoTitle())
                .append("seoKeyword", getSeoKeyword())
                .append("seoDescription", getSeoDescription())
                .append("sortId", getSortId())
                .append("isLock", getIsLock())
                .append("createTime", getCreateTime())
                .append("createBy", getCreateBy())
                .append("updateTime", getUpdateTime())
                .append("updateBy", getUpdateBy())
                .append("flag", getFlag())
                .append("remark", getRemark())
                .append("powerUnit", getPowerUnit())
                .append("percentageFee", getPercentageFee())
                .append("percentageBrokerage", getPercentageBrokerage())
                .toString();
    }
}
